package com.base.core.model.enity;

import org.springframework.beans.BeanUtils;

import java.io.Serializable;
import java.util.Date;


/**
 * The persistent class for the CALL_REQUIRE_VISIBILITY database table.
 * 
 */
//@Entity
//@Table(name="CALL_REQUIRE_VISIBILITY")
//@NamedQuery(name="XjCallRequireVisibility.findAll", query="SELECT x FROM XjCallRequireVisibility x")
public class CallRequireVisibility implements Serializable {
	private static final long serialVersionUID = 1L;

	//@Id
	private String id;

	//@Column(name="CALL_TIME")
	//@Temporal(TemporalType.TIMESTAMP)
	private Date callTime;

	//@Column(name="FAILED_REASON")
	private String failedReason;

	private String originator;

	//@Column(name="PLAN_END_TIME")
	//@Temporal(TemporalType.TIMESTAMP)
	private Date planEndTime;

	//@Column(name="PLAN_START_TIME")
	//@Temporal(TemporalType.TIMESTAMP)
	private Date planStartTime;

	private String remark;

	//@Column(name="REQUIRE_ID")
	private BizRequire bizRequire;

	private String status;

	//@Column(name="UPDATE_TIME")
	//@Temporal(TemporalType.TIMESTAMP)
	private Date updateTime;

	//@Column(name="VISIBILITY_IDS")
	private String visibilityIds;

	private String batchId;
	
	public CallRequireVisibility() {
	}

	public CallRequireVisibility(XjCallRequireVisibility xjCallRequireVisibility) {
		BeanUtils.copyProperties(xjCallRequireVisibility, this);
	}

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Date getCallTime() {
		return this.callTime;
	}

	public void setCallTime(Date callTime) {
		this.callTime = callTime;
	}

	public String getFailedReason() {
		return this.failedReason;
	}

	public void setFailedReason(String failedReason) {
		this.failedReason = failedReason;
	}

	public String getOriginator() {
		return this.originator;
	}

	public void setOriginator(String originator) {
		this.originator = originator;
	}

	public Date getPlanEndTime() {
		return this.planEndTime;
	}

	public void setPlanEndTime(Date planEndTime) {
		this.planEndTime = planEndTime;
	}

	public Date getPlanStartTime() {
		return this.planStartTime;
	}

	public void setPlanStartTime(Date planStartTime) {
		this.planStartTime = planStartTime;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getVisibilityIds() {
		return this.visibilityIds;
	}

	public void setVisibilityIds(String visibilityIds) {
		this.visibilityIds = visibilityIds;
	}
	
	public BizRequire getBizRequire() {
		return bizRequire;
	}

	public void setBizRequire(BizRequire bizRequire) {
		this.bizRequire = bizRequire;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}
	
	

}